Loading...
Searching...
No Matches
Opm::VFPProdTable Class Reference

Class for reading data from a VFPPROD (vertical flow performance production) table. More...

`#include <VFPProdTable.hpp>`

## Public Types

enum class | FLO_TYPE { FLO_OIL =1 , FLO_LIQ , FLO_GAS }
enum class | WFR_TYPE { WFR_WOR =11 , WFR_WCT , WFR_WGR }
enum class | GFR_TYPE { GFR_GOR =21 , GFR_GLR , GFR_OGR }
enum class | ALQ_TYPE { ALQ_GRAT =31 , ALQ_IGLR , ALQ_TGLR , ALQ_PUMP , ALQ_COMP , ALQ_BEAN , ALQ_UNDEF }

## Public Member Functions

| VFPProdTable (const DeckKeyword &table, bool gaslift_opt_active, const UnitSystem &deck_unit_system)
| VFPProdTable (int table_num, double datum_depth, FLO_TYPE flo_type, WFR_TYPE wfr_type, GFR_TYPE gfr_type, ALQ_TYPE alq_type, const std::vector< double > &flo_data, const std::vector< double > &thp_data, const std::vector< double > &wfr_data, const std::vector< double > &gfr_data, const std::vector< double > &alq_data, const std::vector< double > &data)
int | getTableNum () const
const KeywordLocation & | location () const
int | name () const
double | getDatumDepth () const
FLO_TYPE | getFloType () const
WFR_TYPE | getWFRType () const
GFR_TYPE | getGFRType () const
ALQ_TYPE | getALQType () const
const std::vector< double > & | getFloAxis () const
const std::vector< double > & | getTHPAxis () const
const std::vector< double > & | getWFRAxis () const
const std::vector< double > & | getGFRAxis () const
const std::vector< double > & | getALQAxis () const
const std::vector< double > & | getTable () const
| Returns the data of the table itself.
bool | operator== (const VFPProdTable &data) const
std::array< size_t, 5 > | shape () const
double | operator() (size_t thp_idx, size_t wfr_idx, size_t gfr_idx, size_t alq_idx, size_t flo_idx) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Dimension | ALQDimension (const ALQ_TYPE &alq_type, const UnitSystem &unit_system)
static std::pair< int, ALQ_TYPE > | getALQType (const DeckKeyword &inputTable, bool gaslift_opt_active)
static VFPProdTable | serializationTestObject ()

## Detailed Description

Class for reading data from a VFPPROD (vertical flow performance production) table.

## Member Function Documentation

## getTable()

const std::vector< double > & Opm::VFPProdTable::getTable | ( |  | ) | const

inline

Returns the data of the table itself.

For ordered access use operator()(thp_idx, wfr_idx, gfr_idx, alq_idx, flo_idx)

This gives the bottom hole pressure value in the table for the coordinate given by flo_axis = getFloAxis(); thp_axis = getTHPAxis(); ...

flo_coord = flo_axis(flo_idx); thp_coord = thp_axis(thp_idx); ...

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/VFPProdTable.hpp
- opm/input/eclipse/Schedule/VFPProdTable.cpp